Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.gisgraphy.webapp.action
Class DisplayStreetAction

    java.lang.Object
      com.opensymphony.xwork2.ActionSupport
          com.gisgraphy.webapp.action.DisplayStreetAction

All Implemented Interfaces:
  GoogleMapApiKeyAware, com.opensymphony.xwork2.Action, com.opensymphony.xwork2.LocaleProvider, com.opensymphony.xwork2.TextProvider, com.opensymphony.xwork2.Validateable, com.opensymphony.xwork2.ValidationAware, Serializable

    public class DisplayStreetAction

extends com.opensymphony.xwork2.ActionSupport
implements GoogleMapApiKeyAware

DisplayStreet Action

Author:
  David Masclet
See Also:
  Serialized Form

Field Summary
`static String` | `ERROR`
`static String` | `ERROR_REF_NON_NUMERIC_FEATUREID` The reference in the localized file for the error for the fact that the specified gid is not a numeric value
`static String` | `ERROR_REF_NORESULT` The reference in the localized file for the error for the fact that no features were found for the specified gid
`static String` | `ERROR_REF_REQUIRED_FEATURE_ID` The reference in the localized file for the error for the fact gid is required
`static String` | `GLOBAL_STREET_NONAME` The reference in the localized file for the fact that the street has no name

Fields inherited from class com.opensymphony.xwork2.ActionSupport
`LOG`

Fields inherited from interface com.opensymphony.xwork2.Action
`INPUT, LOGIN, NONE, SUCCESS`

Constructor Summary
`DisplayStreetAction()`

Method Summary
`String` | `execute()`
`String` | `getErrorMessage()`
`String` | `getErrorRef()`
`String` | `getGid()`
`String` | `getGoogleMapAPIKey()`
`String` | `getPreferedName()`
`OpenStreetMap` | `getResult()`
`void` | `setGid(String gid)`
`void` | `setOpenStreetMapDao(IOpenStreetMapDao openStreetMapDao)`

Methods inherited from class com.opensymphony.xwork2.ActionSupport
`addActionError, addActionMessage, addFieldError, clearActionErrors, clearErrors, clearErrorsAndMessages, clearFieldErrors, clearMessages, clone, doDefault, getActionErrors, getActionMessages, getErrorMessages, getErrors, getFieldErrors, getLocale, getText, getText, getText, getText, getText, getText, getText, getText, getText, getTexts, getTexts, hasActionErrors, hasActionMessages, hasErrors, hasFieldErrors, hasKey, input, pause, setActionErrors, setActionMessages, setFieldErrors, validate`

Methods inherited from class java.lang.Object
`equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### GLOBAL_STREET_NONAME

    public static final String GLOBAL_STREET_NONAME

  The reference in the localized file for the fact that the street has no name

  See Also:
    Constant Field Values

### ERROR_REF_REQUIRED_FEATURE_ID

    public static final String ERROR_REF_REQUIRED_FEATURE_ID

  The reference in the localized file for the error for the fact gid is required

  See Also:
    Constant Field Values

### ERROR_REF_NON_NUMERIC_FEATUREID

    public static final String ERROR_REF_NON_NUMERIC_FEATUREID

  The reference in the localized file for the error for the fact that the specified gid is not a numeric value

  See Also:
    Constant Field Values

### ERROR_REF_NORESULT

    public static final String ERROR_REF_NORESULT

  The reference in the localized file for the error for the fact that no features were found for the specified gid

  See Also:
    Constant Field Values

### ERROR

    public static final String ERROR

See Also:
  Constant Field Values

Constructor Detail

### DisplayStreetAction

    public DisplayStreetAction()

Method Detail

### getPreferedName

    public String getPreferedName()

  Returns:
    the fullyqualified name if exists, or the name

### execute

    public String execute()
                   throws Exception

  Specified by:
    `execute` in interface `com.opensymphony.xwork2.Action`
  Overrides:
    `execute` in class `com.opensymphony.xwork2.ActionSupport`
  Throws:
    `Exception`

### getGid

    public String getGid()

  Returns:
    the gid

### setGid

    public void setGid(String gid)

  Parameters:
    `gid` - the gid to set

### setOpenStreetMapDao

    public void setOpenStreetMapDao(IOpenStreetMapDao openStreetMapDao)

  Parameters:
    `openStreetMapDao` - the openStreetMapDao to set

### getErrorRef

    public String getErrorRef()

  Returns:
    the errorRef

### getResult

    public OpenStreetMap getResult()

  Returns:
    the result

### getErrorMessage

    public String getErrorMessage()

  Returns:
    the errorMessage

### getGoogleMapAPIKey

    public String getGoogleMapAPIKey()

  Specified by:
    `getGoogleMapAPIKey` in interface `GoogleMapApiKeyAware`
  Returns:
    the googleMapAPIKey

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2012. All Rights Reserved.